import request from '@/utils/request'

// 查询APS班制定义列表
export function listSystem(query) {
  return request({
    url: '/aps_system_schedule/system/list',
    method: 'get',
    params: query
  })
}

// 查询APS班制定义详细
export function getSystem(sequenceId) {
  return request({
    url: '/aps_system_schedule/system/' + sequenceId,
    method: 'get'
  })
}

// 新增APS班制定义
export function addSystem(data) {
  return request({
    url: '/aps_system_schedule/system',
    method: 'post',
    data: data
  })
}

// 修改APS班制定义
export function updateSystem(data) {
  return request({
    url: '/aps_system_schedule/system',
    method: 'put',
    data: data
  })
}

// 删除APS班制定义
export function delSystem(sequenceId) {
  return request({
    url: '/aps_system_schedule/system/' + sequenceId,
    method: 'delete'
  })
}
